View Issue Details

IDProjectCategoryView StatusLast Update
0000333Pgpool-IIBugpublic2017-09-08 00:20
ReporterbrianmAssigned ToMuhammad Usama 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSUbuntuOS Version14.4
Product Version3.6.5 
Target VersionFixed in Version 
Summary0000333: watchdog fails to add node to master when wd_authkey is not an empty string; pgpool member shuts down
Descriptionafter successfully starting one pgpool node, which appropriately assigns vip and allows for connections to backend databses, starting a second pgpool member fails with this fatal error:


after setting wd_authkey to an empty string and restarting nodes, things work (this is not an acceptable workaround for us)

we need to use wd_authkey for our production
Steps To Reproducesee description and attached logs
Additional InformationI am continuing to investigate this issue w/in my environment; will post additional information as I find it
TagsNo tags attached.

Activities

brianm

2017-08-24 05:39

reporter  

lb2.pgpool_0.log.gz (13,448 bytes)
lb1.pgpool_0.log.gz (51,140 bytes)

brianm

2017-08-24 05:43

reporter   ~0001682

whoop, description refers to this error message (also in the attached logs):

```
2017-08-23 18:21:50: pid 7: FATAL: Add to watchdog cluster request is rejected by node "172.23.26.36:8990"
2017-08-23 18:21:50: pid 7: HINT: check the watchdog configurations.
2017-08-23 18:21:50: pid 7: LOCATION: watchdog.c:5174
2017-08-23 18:21:50: pid 7: LOG: Watchdog is shutting down
2017-08-23 18:21:50: pid 7: LOCATION: watchdog.c:3184
2017-08-23 18:21:50: pid 7: DEBUG: not sending watchdog internal command packet to DEAD
2017-08-23 18:21:50: pid 7: LOCATION: watchdog.c:4546
2017-08-23 18:21:50: pid 7: DEBUG: new cluster command X issued with command id 5
2017-08-23 18:21:50: pid 7: LOCATION: watchdog.c:4604
2017-08-23 18:21:50: pid 7: DEBUG: shmem_exit(3): 0 callbacks to make
2017-08-23 18:21:50: pid 7: LOCATION: elog.c:2587
2017-08-23 18:21:50: pid 7: DEBUG: proc_exit(3): 1 callbacks to make
2017-08-23 18:21:50: pid 7: LOCATION: elog.c:2559
2017-08-23 18:21:50: pid 7: DEBUG: exit(3)
2017-08-23 18:21:50: pid 7: LOCATION: elog.c:2513
2017-08-23 18:21:50: pid 7: DEBUG: shmem_exit(-1): 0 callbacks to make
2017-08-23 18:21:50: pid 7: LOCATION: elog.c:2587
2017-08-23 18:21:50: pid 7: DEBUG: proc_exit(-1): 0 callbacks to make
2017-08-23 18:21:50: pid 7: LOCATION: elog.c:2559
2017-08-23 18:21:50: pid 6: DEBUG: reaper handler
2017-08-23 18:21:50: pid 6: LOCATION: pgpool_main.c:2394
2017-08-23 18:21:50: pid 6: DEBUG: watchdog child process with pid: 7 exit with FATAL ERROR. pgpool-II will be shutdown
2017-08-23 18:21:50: pid 6: LOCATION: pgpool_main.c:2429
2017-08-23 18:21:50: pid 6: LOG: watchdog child process with pid: 7 exits with status 768
2017-08-23 18:21:50: pid 6: LOCATION: pgpool_main.c:2460
2017-08-23 18:21:50: pid 6: FATAL: watchdog child process exit with fatal error. exiting pgpool-II
2017-08-23 18:21:50: pid 6: LOCATION: pgpool_main.c:2540
```

Muhammad Usama

2017-09-08 00:20

developer   ~0001702

Thanks for reporting the issue, We were able to reproduce it at our end and pushed the fix for it.

https://git.postgresql.org/gitweb/?p=pgpool2.git;a=commitdiff;h=b661a8bbe0d2c8f397fa5003de099a0d44582fe6

You can verify it in the latest releases.

Issue History

Date Modified Username Field Change
2017-08-24 05:39 brianm New Issue
2017-08-24 05:39 brianm File Added: lb1.pgpool_0.log.gz
2017-08-24 05:39 brianm File Added: lb2.pgpool_0.log.gz
2017-08-24 05:43 brianm Note Added: 0001682
2017-08-24 22:30 t-ishii Assigned To => Muhammad Usama
2017-08-24 22:30 t-ishii Status new => assigned
2017-09-08 00:20 Muhammad Usama Status assigned => resolved
2017-09-08 00:20 Muhammad Usama Resolution open => fixed
2017-09-08 00:20 Muhammad Usama Note Added: 0001702